# NFTSellOffersResponse | xrpl
Documentation for xrpl

# Interface NFTSellOffersResponse

Response expected from an NFTSellOffersRequest.

#### Hierarchy

- BaseResponse
  - NFTSellOffersResponse

- Defined in packages/xrpl/src/models/methods/nftSellOffers.ts:24

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: {
nft_id: string;
offers: NFTOffer[];
}

#### Type declaration

- ##### nft_id: string

  The token ID of the NFToken to which these offers pertain.

- ##### offers: NFTOffer[]

  A list of sell offers for the specified NFToken.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/nftSellOffers.ts:25

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc